%define upstream_name    Data-Iter
%define upstream_version 0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easily iterate over a hash/array
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Extended)
BuildArch:  noarch

%description
Data::Iter provides functions for comfortably iterating over perl data
structures. Its slower, but easier to code. An array containing object
elements for every iteration is generated with the the iter() manpage
function - due to array'ish nature of for(), foreach() and map() loops it
is easy to use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 746106
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 jquelin <jquelin> 0.200.0-2.mga5
+ Revision: 731981
- rpm 4.12 rebuild
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- imported package perl-Data-Iter


* Thu Feb 13 2014 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
